import 'package:flutter/material.dart';

import 'package:jovial_svg/jovial_svg.dart';


class ServiceLogo extends StatelessWidget {
  final double size;

  const ServiceLogo({ super.key, this.size = 64 });

  @override
  Widget build(BuildContext context) => SizedBox(
    height: size,
    width: size,
    child: ScalableImageWidget.fromSISource(
      key: const Key('mxLogo'),
      si: ScalableImageSource.fromSI(
        DefaultAssetBundle.of(context), 
        'resources/logo.si',
      ),
    ),
  );
}